Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge of vlc failing on segmentation fault (SOLVED)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1155

PostPosted: Tue Jun 25, 2013 7:01 pm    Post subject: Reply with quote

@paully, I don't know what the "stable" fanatism is good for when using the system as a multi-media box. But your try to mix a Gentoo+stable release with an unstable~live~git is surely over the top. I regard Gentooo~unstable a far better choice keeping up with multi-media related security fixes upstream. I have no issues with unmasking boost-1.53 (I don't use old science software) and ffmpeg-1.2.1. My software selection compiles and works without issues:
dev-libs/icu-51.1
dev-libs/boost-1.53.0
dev-util/boost-build-1.53.0
kde-base/ffmpegthumbs-4.10.4
media-plugins/gst-plugins-ffmpeg-0.10.13_p201211
virtual/ffmpeg-9
media-video/ffmpeg-1.2.1
media-video/vlc-2.0.7
sys-devel/gcc-4.7.3
sys-devel/gcc-config-1.8
sys-libs/glibc-2.17
linux-3.9.7
_________________
fun2gen2
Back to top
View user's profile Send private message
paully
n00b
n00b


Joined: 21 May 2004
Posts: 47
Location: Folkestone, Kent, UK

PostPosted: Wed Jul 03, 2013 9:23 am    Post subject: Reply with quote

Yay!

I did a revdep-rebuild and installed the latest non-git version...

Code:
VLC media player 2.0.7 Twoflower (revision 2.0.6-54-g7dd7e4d)


...and the videos now all WORK.

Problem. Solved.

Many thanks to all who helped.

Regards

:D
_________________
PAULLY
Back to top
View user's profile Send private message
Yarik
n00b
n00b


Joined: 01 Oct 2007
Posts: 22
Location: Russia

PostPosted: Sun Aug 04, 2013 10:21 am    Post subject: Reply with quote

alex46 wrote:
i had this problem too

try to build vlc with

USE="-svg -libnotify -xv -xcb"


USE="-svg -libnotify" is quite enough
Back to top
View user's profile Send private message
kwesadilo
n00b
n00b


Joined: 12 Jul 2010
Posts: 66
Location: United States

PostPosted: Tue Aug 06, 2013 3:00 am    Post subject: Fixed in portage? Reply with quote

I know this is an old thread, but I'm still seeing this segfault (during emerge). I'm trying to re-merge vlc-2.0.7 after updating

paully, I see that your bug is marked as resolved. Did a fix get into portage? Do I need to unmask one of the masked versions?
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Tue Aug 06, 2013 5:20 am    Post subject: Reply with quote

This issue isn't fixed yet, and it's described in detail in this comment from this bug report. It's also discussed in this other forum thread. So far, a workaround is to;
    1) emerge --unmerge qtcore qtgui
    2) USE="$USE -glib" emerge -a1v qtcore qtgui
    3) emerge -av vlc

You should now be able to emerge vlc with your default USE flags enabled, including libnotify and svg, and vlc should run without segmentation faults. Then,
    4) emerge -auDNv world

should re-emerge qtcore and qtgui with the glib USE flag enabled again. vlc should also continue working correctly.

Good Luck..
Back to top
View user's profile Send private message
kwesadilo
n00b
n00b


Joined: 12 Jul 2010
Posts: 66
Location: United States

PostPosted: Sat Aug 10, 2013 11:28 pm    Post subject: Reply with quote

Wow, that was pretty elaborate. It almost worked, too. Except that my update world at the end wanted to reinstall vlc based on the re-merged qtcore and qtgui. That didn't work out, so I'm back where I was, but I guess I understand it a little better. I do have a working vlc installed, so I shouldn't complain too much. (Actually, I think I turned a video codec I needed back on as part of the process, so there's a silver lining.) I voted for the bug on Bugzilla.

Edit: Somehow, after I finished my world update (skipping vlc) and rebuilt packages depending on preserved libraries, emerge doesn't feel the need to re-merge vlc anymore. I guess I'll call that a win.
Back to top
View user's profile Send private message
yagami
Apprentice
Apprentice


Joined: 12 May 2002
Posts: 220
Location: Leiria, Portugal

PostPosted: Mon Aug 12, 2013 1:21 pm    Post subject: Reply with quote

Yarik wrote:
alex46 wrote:
i had this problem too

try to build vlc with

USE="-svg -libnotify -xv -xcb"


USE="-svg -libnotify" is quite enough


USE="-libnotify" is quite enough
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum